apiVersion: apps/v1
kind: Deployment
metadata:
  name: f5ing-testapp-v2
  namespace: xyz-app
spec:
  progressDeadlineSeconds: 600
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app.kubernetes.io/instance: f5ing-testapp-v1
      app.kubernetes.io/name: f5ing-testapp
  template:
    metadata:
      creationTimestamp: null
      labels:
        app.kubernetes.io/instance: f5ing-testapp-v1
        app.kubernetes.io/name: f5ing-testapp
    spec:
      containers:
      - env:
        - name: HTTPPORT
          value: "8000"
        - name: TCPPORT
          value: "8050"
        - name: UDPPORT
          value: "8100"
        image: artifactory.f5net.com/f5-f5ingress-docker/f5ing-testapp:v0.11.4
        imagePullPolicy: IfNotPresent
        livenessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8000
            scheme: HTTP
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: f5ing-testapp
        ports:
        - containerPort: 8051
          name: http
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8000
            scheme: HTTP
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        securityContext:
          capabilities:
            drop:
            - ALL
          readOnlyRootFilesystem: true
          runAsNonRoot: true
          runAsUser: 1000
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: regsecret
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: f5ing-testapp-v1
      serviceAccountName: f5ing-testapp-v1
      terminationGracePeriodSeconds: 30